#!/bin/sh
#
# create a cvs repository for viwl
#

#
# check for config
if test -e "/etc/viwl.conf"; then
    # use global config
    . /etc/viwl.conf
fi

if test -e "~/.viwl"; then
    # use personal config
    . ~/.viwl
fi


#
# create the work dirs
mkdir $CVS_ROOT $WORK_DIR


#
# create the cvs root
cvs -d $CVS_ROOT init


#
# go to workdir
cd $WORK_DIR


#
# import it initially
cvs -d $CVS_ROOT import -m initial `basename $WORK_DIR` viwl start


#
# remove it for checking it out later on
cd -
rm -rf $WORK_DIR


#
# now check it out
cd `dirname $WORK_DIR`
cvs -d $CVS_ROOT checkout `basename $WORK_DIR`


#
# done, report it
echo "Created successfully new CVSROOT $CVS_ROOT and added "
echo "a new module `basename $WORK_DIR`. You may use the script"
echo "'vici' to checkin any file into CVS."