#!/bin/sh
#
# installer for viwl.
# creates a config file for viwl
#

if test -e "/etc/viwl.conf"; then
    echo "Default config /etc/viwl.conf exists"
    exit
fi

# create default config
cat <<EOF > /etc/viwl.conf
#
# configuration for the vi wrapper 'viwl'
#


#
# define, which version control system to use.
# possible values: rcs, cvs or none
VERSION_CONTROL="rcs"

#
# if CVS is the version control system of your choice, then
# you need to define the cvs-root here.
# run the script init-cvs.sh for creating the repository,
# the script uses /etc/viwl-CVSROOT as the CVSROOT, edit the
# script if you need to change this.
#
CVS_ROOT="/etc/viwl-CVSROOT"

#
# the workdir, which is the directory which is checked in
# and maintained with CVS. Every file will be maintained
# here in a copy.
WORK_DIR="/etc/viwl.d"

#
# define, if file backups of the form file~ should be created.
# possible values: yes, no
FILE_BACKUP="yes"

EOF

echo "You may now run init-cvs.sh if you desire to use CVS."